Subject: Re: [PATCH 081/602] gnu: renpy: Build with Python 3.

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 16 Jun 2022 13:11:30 -0400

Hi Liliana,

Liliana Marie Prikler <[email-masked]> writes:

[...]

> According to upstream, only renpy 8.0 will run on python 3, whereas
> renpy 7.5 (both still prereleases) will continue to use python 2.7.
>
> I suggest "temporarily" reverting the following commits
> 425783b5 "gnu: Remove python2-cython."
> ffec658a "gnu: Remove python2-future."
> 1a6eb0d6 "gnu: Remove python2-pygame-sdl2."
> 9f1bd63f "gnu: renpy: Build with Python 3."
> or alternatively dropping the renpy package altogether.  I have already
> reverted them on my local tree, so I could push whenever – the question
> is whether to do it in four separate commits or in a big one along with
> an explanation.
>
> WDYT?

Could you try updating renpy to a 8.0 pre-release?  It was last updated
6 days ago [0].  That'd be preferable to re-introducing Python 2 stuff.

Thank you!

Maxim

[0]  https://www.renpy.org/release/8.0.0